org.eclipse.emf.cdo.common.util

## Class CDOResourceNodeNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException
        - - org.eclipse.emf.cdo.common.util.CDOResourceNodeNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public final class CDOResourceNodeNotFoundException
      extends CDOException

  Since:
    4.6
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOResourceNodeNotFoundException()`
    `CDOResourceNodeNotFoundException(java.lang.String message)`
    `CDOResourceNodeNotFoundException(java.lang.String message, java.lang.Throwable cause)`
    `CDOResourceNodeNotFoundException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOResourceNodeNotFoundException

          public CDOResourceNodeNotFoundException()

    - #### CDOResourceNodeNotFoundException

          public CDOResourceNodeNotFoundException(java.lang.String message,
                                                  java.lang.Throwable cause)

    - #### CDOResourceNodeNotFoundException

          public CDOResourceNodeNotFoundException(java.lang.String message)

    - #### CDOResourceNodeNotFoundException

          public CDOResourceNodeNotFoundException(java.lang.Throwable cause)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html